# Example Data

Data files are provided here for the ease of testing and illustrations.
The data may have been processed for the ease of usage
and are stored in compressed CSV (`.csv.gz`) files.
See [`data/src/make.jl`](src/make.jl) for the source code
that generates these files from original data.

## Sources

| Name | Source | File | License | Note |
| :---: | :----: | :-------: | :-----: | :--- |
| bb | [Barnichon and Brownlees (2018)](https://doi.org/10.7910/DVN/8KQJBJ) | `Matlab/data.csv` | CC0 | |
| gk | [Gertler and Karadi (2015)](https://doi.org/10.3886/E114082V1) | `data/VAR_data.csv`; `data/factor_data.csv` | [CC BY 4.0](https://doi.org/10.3886/E114082V1-78600) | The two files are merged |
| hp | [Hamilton (2018)](https://doi.org/10.7910/DVN/UJE1UY) | `Matlab/employment.csv` | CC0 | |
| jst | [Jordà, Schularick and Taylor (2017)](https://www.macrohistory.net/database) | `JSTdatasetR6.dta` | [CC BY-NC-SA 4.0](https://www.macrohistory.net/database/licence-terms) | Only selected variables are contained |
| rz | [Ramey and Zubairy (2018)](https://www.journals.uchicago.edu/doi/suppl/10.1086/696277/suppl_file/2014646data.zip) | `RZDAT.xlsx` | | Publicly available [here](https://econweb.ucsd.edu/~vramey/research/Ramey_Zubairy_replication_codes.zip) |

## References

**Barnichon, Regis and Christian Brownlees.** 2018.
"Replication Data for: Impulse Response Estimation by Smooth Local Projections."
Harvard Dataverse. https://doi.org/10.7910/DVN/8KQJBJ.

**Gertler, Mark, and Peter Karadi.** 2015.
"Replication Data for: Monetary Policy Surprises, Credit Costs, and Economic Activity."
*American Economic Association* [publisher], Inter-university Consortium for Political and Social Research [distributor]. https://doi.org/10.3886/E114082V1.

**Hamilton, James D.** 2018.
"Replication Data for: Why You Should Never Use the Hodrick-Prescott Filter."
Harvard Dataverse. https://doi.org/10.7910/DVN/UJE1UY.

**Jordà, Òscar, Moritz Schularick, and Alan M. Taylor.** 2017.
"Macrofinancial History and the New Business Cycle Facts."
In *NBER Macroeconomics Annual 2016*, Vol. 31,
edited by Martin Eichenbaum and Jonathan A. Parker.
Chicago, IL: University of Chicago Press.

**Ramey, Valerie A. and Sarah Zubairy.** 2018.
"Government Spending Multipliers in Good Times and in Bad: Evidence from US Historical Data."
*Journal of Political Economy* 126 (2): 850-901.
